//importing json and geo paths
import { select, json, geoPath, geoNaturalEarth1} from 'd3';
import {feature} from 'topojson';

const svg = select('svg');

//setting width, height
const width = +svg.attr('width');
const height = +svg.attr('height');

const projection = geoNaturalEarth1();
const pathGenerator = geoPath().projection(projection);

// appending json file 
svg.append('path')
		.attr('class', 'sphere')
		.attr('d', pathGenerator({type: 'Sphere'}));

json('https://gist.githubusercontent.com/Kiran3295/5225dd52735a319cb15bb2a9435d48c6/raw/be67e04ef7b348d3903c0c973590f6d9ffbc033a/worlddata.json')
		.then(data => {
  			const countries = feature(data, data.objects.countries);
  
  			svg.selectAll('path')
        		.data(countries.features)
  					.enter().append('path')
  					.attr('class', 'country')
  					.attr('d', pathGenerator)
		});









